<div class="clone-row<?php echo (isset($firstRow) && $firstRow) ? ' disabled-row' : ''; ?>">

    <?php
        if (! isset($key)) {

            $key = 0;
        }

        $deleteLink = '<a href="" class="delete-item delete-block"><i class="s s--delete-small"></i> Delete Block</a>';

        echo $this->Form->addField(
            $blockName . '.0.name',
            array(
                'type' => 'string',
                'class' => 'block-name',
                'after' => $deleteLink
            )
        );

        echo $this->Form->addField(
            $blockName . '.0.slots',
            array(
                'type' => 'float',
                'min' => -1
            )
        );

        echo $this->Form->addField(
            $blockName . '.0.blockFields',
            array(
                'type' => 'multicheck',
                'label' => 'Select Fields'
            )
        );

        // manual hidden field so we can added protect-value
        echo $this->Form->addField(
            $blockName . '.0.is_active',
            array(
                'type' => 'hidden',
                'value' => 0,
                'class' => 'protect-value',
                'id' => '_' . $blockName . '0IsActive'
            )
        );
        echo $this->Form->addField(
            $blockName . '.0.is_active',
            array(
                'type' => 'boolean',
                'class' => 'protect-value',
                'hiddenField' => false // turn off so we can manually add one with protect-value class
            )
        );
    ?>

</div>