<?php

App::uses('EvTemplatesAppModel', 'EvTemplates.Model');

class Template extends EvTemplatesAppModel
{
    public $validate = array(
        'name' => array(
            'notEmpty' => array(
                'rule' => array('notEmpty'),
                'message' => 'You must select a name for the template.',
                //'allowEmpty' => false,
                //'required' => false,
                //'last' => false, // Stop validation after this rule
                //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
        'template' => array(
            'notEmpty' => array(
                'rule' => array('notEmpty'),
                'message' => 'You must select a view for the template.',
                //'allowEmpty' => false,
                //'required' => false,
                //'last' => false, // Stop validation after this rule
                //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
    );

    public $hasMany = array(
        'ImageBlock' => array(
            'className' => 'EvTemplates.ImageBlock'
        ),
        'DocumentBlock' => array(
            'className' => 'EvTemplates.DocumentBlock'
        )
    );

}
